/**
 * Базовый компонент
 */

export default class Component {

	/**
	 * Конструктор
	 */
	constructor( props = {} ){

		/**
		 * Параметры компонента:
		 * scopeSelector - корневой селектор
		 * selectors - селекторы перерисовываемых данных
		 */
		this.props = {
			scopeSelector: '',
			selectors: []
		};

		// объединяем с переданными параметрами
		Object.assign( this.props, props );

		// дефолтное состояние
		this.state = {};

		// отрисовываем
		this.render();
	}


	/**
	 * Установка состояния
	 */
	setState( state = {} ){
		Object.assign( this.state, state );
		this.render();
	}


	/**
	 * обновляем компонент
	 */
	render(){
		
	}
}